package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/7/28
 * @Description TODO
 */
case class company_bid_list() extends CompanyDynamicHandle{
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map("title")

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_change_content(old_map: Map[String, String], new_map: Map[String, String]): String = new_map("abs")

  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
  //  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "提示信息"

  /**
   *
   * @param rowkey
   * @param cid
   * @param change_fields
   * @param old_map
   * @param new_map
   * @return info_type
   *         rta_desc
   *         change_content
   *         change_time
   *         biz_id
   *         sub_info_type
   *         info_risk_level
   *         winhc_suggest
   */
  override def handle(rowkey: String, bizDate: String, cid: String, change_fields: Seq[String], old_map: Map[String, String], new_map: Map[String, String], cname: String): Seq[(String, String, String, String, String, String, String, String)] = {
    val proxyName=new_map.get("proxy")
    if (proxyName.equals(cname)){
      return null
    }
    else{
      super.handle(rowkey, bizDate, cid, change_fields, old_map, new_map)
    }
  }
}
